<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=0.4, user-scalable=yes, minimum-scale=0.1, maximum-scale=10">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../../../favicon.ico">
    <script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/highcharts-more.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
    <title>Pallet</title>
    <style>
.Rotate-90
{
  
    transform: rotate(270deg);
  font-size:9px;
  border:1px solid black;
  margin-left:-40px;
  width:120px;
}
.vertical{
  text-align:center;
  vertical-align:middle;
  width:14px;
  height:auto;
  margin:0px;
  padding:0px;
  padding-left:3px;
  padding-right:3px;
  padding-top:10px;
  white-space:nowrap;
  -webkit-transform:rotate(-90deg);
  -moz-transform:rotate(-90deg);
  -o-transform:rotate(-90deg);
}

.achicar{
  width:40px;
}


</style>
   
  </head>

<body>
<?php
  session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];
  include '../../conexion/conn.php';
  $zona_id=$_REQUEST['zona_id'];
  $productor_id=$_REQUEST['productor_id'];
  $variedad_id=$_REQUEST['variedad_id'];
  $fecha=$_REQUEST['fecha'];
  $cuartel=$_REQUEST['cuartel'];
  $contratista=$_REQUEST['contratista'];
  $cuadrilla=$_REQUEST['cuadrilla'];
  $huerto=$_REQUEST['huerto'];
  $labor=$_REQUEST['labor'];
$where="";
  if($zona_id!=""){
    $where.="AND zona_id='$zona_id' ";
  }
  if($productor_id!=""){
    $where.="AND productor_id='$productor_id' ";
  }
  if($variedad_id!=""){
    $where.="AND variedad_id='$variedad_id' ";
  }
  if($fecha!=""){
    $where.="AND fecha='$fecha' ";
  }
  if($cuartel!=""){
    $where.="AND cuartel='$cuartel' ";
  }
  if($contratista!=""){
    $where.="AND contratista='$contratista' ";
  }

  if($cuadrilla!=""){
    $where.="AND cuadrilla='$cuadrilla' ";
  }

  if($huerto!=""){
    $where.="AND huerto='$huerto' ";
  }
  if($labor!=""){
    $where.="AND labor='$labor' ";
  }

  if($cliente=='EX'){
    $numero='56982489061';
  }else if($cliente=='RB'){
    //$numero='56996192766'; //christopher
    $numero='56962087098';
  }else if($cliente=='GF'){
    //$numero='56996192766'; //christopher
    $numero1='56982489061';
    $numero2='56998110817';
  }else{
    $numero='';
  }

if($cliente=="GF"){
     echo '<form>';
 /* echo '<input type="text" id="zona_id" value="'.$zona_id.'" name="zona_id">';
echo '<input type="text" id="productor_id" value="'.$productor_id.'" name="productor_id">';
echo '<input type="text" id="variedad_id" value="'.$variedad_id.'" name="variedad_id">';
echo '<input type="text" id="fecha" value="'.$fecha.'" name="fecha">';
echo '<input type="text" id="cuartel" value="'.$cuartel.'" name="cuartel">';
echo '<input type="text" id="contratista" value="'.$contratista.'" name="contratista">';*/
   echo' <center>';
      if($zona_id!="" && $productor_id!="" && $variedad_id!="" && $fecha!="" && $huerto!="" && $labor!=""){
      echo '<button type="button" class="btn btn-outline-primary" onclick="crear_form()">Nueva Inspeccion +</button>';
      }

       echo'<a class="btn btn-outline-primary" href="web2.php?zona_id='.$zona_id.'&productor_id='.$productor_id.'&variedad_id='.$variedad_id.'&fecha='.$fecha.'&cuadrilla='.$cuadrilla.'&contratista='.$contratista.'"&cuartel='.$cuartel.'"&huerto='.$huerto.'"&labor='.$labor.'"" role="button" target="_BLANK">Informe</a><button type="button" class="btn btn-outline-primary" onclick="cargar_grafico2()">Grafico</button>';

    if($labor=="PODA"){
      echo '</center>
    <div id="grafico2" style="min-width: 320px; max-width: 600px; margin: 0 auto;"></div>
    <br/><br/><br/><br/>
    <table id="planilla" class="display" style="width:100%; font-size: 14px;">
      <thead>
      <tr>
        <th>ID</th>
        <th>Hora</th>
        <th>Cuartel</th>
        <th>Cuadrilla</th>
        <th><div class="vertical">Promedio</div></th>
        <th><div class="vertical">Foto</div></th>
        <th><div class="vertical">Aviso</div></th>
        <th><div class="vertical">Estructura</div></th>
        <th><div class="vertical">Cant Cargadores</div></th>
        <th><div class="vertical">Cant Pitones</div></th>
        <th><div class="vertical">Yemas Por Cargador</div></th>
        <th><div class="vertical">Yemas Por Piton</div></th>
        <th><div class="vertical">Limpieza Poda</div></th>
        <th><div class="vertical">Observacion</div></th>
      </tr>
      </thead>
      <tbody>';
    }else{
      echo '</center>
    <div id="grafico2" style="min-width: 320px; max-width: 600px; margin: 0 auto;"></div>
    <br/><br/><br/><br/>
    <table id="planilla" class="display" style="width:100%; font-size: 14px;">
      <thead>
      <tr>
        <th>ID</th>
        <th>Hora</th>
        <th>Cuartel</th>
        <th>Cuadrilla</th>
        <th><div class="vertical">Promedio</div></th>
        <th><div class="vertical">Foto</div></th>
        <th><div class="vertical">Aviso</div></th>
        <th><div class="vertical">Cantidad Amarras</div></th>
        <th><div class="vertical">Ubicacion Amarras</div></th>
        <th><div class="vertical">Punta cargador sin amarrar</div></th>
        <th><div class="vertical">Cant Cargadores Sin Amarrar</div></th>
        <th><div class="vertical">Observacion</div></th>
      </tr>
      </thead>
      <tbody>';
    }
    


            
      $rs_packing = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 AND usuario_crea='$rut' $where ORDER BY caja_id DESC");
      
      while($row_packing = mysql_fetch_array($rs_packing)){
        $caja_id=$row_packing['caja_id'];
        echo '<tr style="text-align:center;">';
        if($labor=="PODA"){
          echo '<td><input type="text" class="achicar" id="caja_id" name="caja_id" value="'.$row_packing['caja_id'].'" disabled><button type="button" class="btn btn-outline-primary" onclick="editar_caja_huerto2(\''.$row_packing['caja_id'].'\')">Guardar2+</button><button type="button" class="btn btn-outline-primary" onclick="eliminar_caja_huerto(\''.$row_packing['caja_id'].'\')">-</button></td>';
        }else{
          echo '<td><input type="text" class="achicar" id="caja_id" name="caja_id" value="'.$row_packing['caja_id'].'" disabled><button type="button" class="btn btn-outline-primary" onclick="editar_caja_huerto3(\''.$row_packing['caja_id'].'\')">Guardar3+</button><button type="button" class="btn btn-outline-primary" onclick="eliminar_caja_huerto(\''.$row_packing['caja_id'].'\')">-</button></td>';
        }
        
        echo '<td><input type="time" id="hora_'.$caja_id.'" name="hora_'.$caja_id.'" value="'.$row_packing['hora'].'" disabled></td>';

        if($row_packing['cuartel']==""){
          echo '<td><input type="text" class="achicar" id="cuartel_'.$caja_id.'" name="cuartel_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="text" class="achicar" id="cuartel_'.$caja_id.'" name="cuartel_'.$caja_id.'" value="'.$row_packing['cuartel'].'"></td>';
        }

        if($row_packing['cuadrilla']==""){
          echo '<td><input type="text" class="achicar" id="cuadrilla_'.$caja_id.'" name="cuadrilla_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="text" class="achicar" id="cuadrilla_'.$caja_id.'" name="cuadrilla_'.$caja_id.'" value="'.$row_packing['cuadrilla'].'"></td>';
        }
        
        if($row_packing['prom']>=1 && $row_packing['prom']<2){
                echo '<td style="background-color:#40FF00">'.round($row_packing['prom'],1).'</td>';
            }else if($row_packing['prom']>=2 && $row_packing['prom']<3){
                echo '<td style="background-color:#FFFF00">'.round($row_packing['prom'],1).'</td>';
            }else if($row_packing['prom']>=3 && $row_packing['prom']<4){
                echo '<td style="background-color:#FF0000">'.round($row_packing['prom'],1).'</td>';
            }else{
                echo '<td></td>';
            }
        $link="../image_huerto/".$cliente."/".$row_packing['foto_nombre'];
        if($row_packing['foto_nombre']==""){
          echo '<td><button type="button" class="btn btn-primary" onclick="abrir_foto(\''.$row_packing['caja_id'].'\')">Foto</button></td>';
        }else{
          echo "<td><a class='ejemplo_1' onclick='fotos();' href='".$link.".jpg' title='".$row_packing['foto_nombre']."</br>".$row_packing['defecto_foto']."'><img src='".$link.".jpg' height='30' width='30' /></a></td>";
        }
        if($labor=="PODA"){
            $rs_packing2 = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE caja_id='".$caja_id."' AND (estructura_orden='3' or cant_cargadores='3' or cant_pitones='3' or yemas_cargador='3' or yemas_piton='3' or limpieza_poda='3')");
            $where_problema="Informo a Ud. que a las ".$row_packing['hora']." se encontró problemas de ";
            if($row_packing2 = mysql_fetch_array($rs_packing2)){
              if($row_packing2['estructura_orden']=='3'){
                $where_problema.="Estructura/Orden, ";
              }
              if($row_packing2['cant_cargadores']=='3'){
                $where_problema.="Cantidad Cargadores, ";
              }
              if($row_packing2['cant_pitones']=='3'){
                $where_problema.="Cantidad Pitones, ";
              }
              if($row_packing2['yemas_cargador']=='3'){
                $where_problema.="Yemas Por Cargador, ";
              }
              if($row_packing2['yemas_piton']=='3'){
                $where_problema.="Yemas Por Piton, ";
              }
              if($row_packing2['limpieza_poda']=='3'){
                $where_problema.="Limpieza de Poda ";
              }
              $where_problema.="-- En el Huerto: ".$row_packing['huerto'].", Cuartel: ".$row_packing['cuartel'].", Cuadrilla: ".$row_packing['cuadrilla']."";
              if($row_packing['foto_nombre']!=''){
                $where_problema.="https://www.geofrut.inglobochile.cl/Inspeccion/image_huerto/GF/".$row_packing['foto_nombre'].".jpg";
              }
              
              if($row_packing['aviso']==""){
                echo '<td><a class="btn btn-outline-primary" href="https://api.whatsapp.com/send?text='.$where_problema.'" role="button" target="_BLANK">Aviso</a><button type="button" class="btn btn-outline-primary" onclick="avisado(\''.$row_packing['caja_id'].'\')">OK</button></td>';
              }else{
                echo '<td>Avisado</td>';
              }
              
            }else{
              echo '<td></td>';
            }
          
  //lucy 56982489061
  //christopher 56996192766
          if($row_packing['estructura_orden']==0){
            echo '<td><input type="number" class="achicar" id="estructura_orden_'.$caja_id.'" name="estructura_orden_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="estructura_orden_'.$caja_id.'" name="estructura_orden_'.$caja_id.'" value="'.$row_packing['estructura_orden'].'"></td>';
          }
          
          if($row_packing['cant_cargadores']==0){
            echo '<td><input type="number" class="achicar" id="cant_cargadores_'.$caja_id.'" name="cant_cargadores_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="cant_cargadores_'.$caja_id.'" name="cant_cargadores_'.$caja_id.'" value="'.$row_packing['cant_cargadores'].'"></td>';
          }

          if($row_packing['cant_pitones']==0){
            echo '<td><input type="number" class="achicar" id="cant_pitones_'.$caja_id.'" name="cant_pitones_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="cant_pitones_'.$caja_id.'" name="cant_pitones_'.$caja_id.'" value="'.$row_packing['cant_pitones'].'"></td>';
          }

          if($row_packing['yemas_cargador']==0){
            echo '<td><input type="number" class="achicar" id="yemas_cargador_'.$caja_id.'" name="yemas_cargador_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="yemas_cargador_'.$caja_id.'" name="yemas_cargador_'.$caja_id.'" value="'.$row_packing['yemas_cargador'].'"></td>';
          }

          if($row_packing['yemas_piton']==0){
            echo '<td><input type="number" class="achicar" id="yemas_piton_'.$caja_id.'" name="yemas_piton_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="yemas_piton_'.$caja_id.'" name="yemas_piton_'.$caja_id.'" value="'.$row_packing['yemas_piton'].'"></td>';
          }
          
          if($row_packing['limpieza_poda']==0){
            echo '<td><input type="number" class="achicar" id="limpieza_poda_'.$caja_id.'" name="limpieza_poda_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="limpieza_poda_'.$caja_id.'" name="limpieza_poda_'.$caja_id.'" value="'.$row_packing['limpieza_poda'].'"></td>';
          }
        }else{ //labor amarre
          $rs_packing2 = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE caja_id='".$caja_id."' AND (cant_amarras='3' or ubicacion_amarras='3' or punta_cargador_sin_amarrar='3' or cant_cargador_sin_amarrar='3')");
            $where_problema="Informo a Ud. que a las ".$row_packing['hora']." se encontró problemas de ";
            if($row_packing2 = mysql_fetch_array($rs_packing2)){
              if($row_packing2['cant_amarras']=='3'){
                $where_problema.="Cantidad de Amarras, ";
              }
              if($row_packing2['ubicacion_amarras']=='3'){
                $where_problema.="Ubicacion Amarras, ";
              }
              if($row_packing2['punta_cargador_sin_amarrar']=='3'){
                $where_problema.="Punta Cargador Sin Amarrar, ";
              }

              if($row_packing2['cant_cargador_sin_amarrar']=='3'){
                $where_problema.="Cant Cargador Sin Amarrar, ";
              }
              
              $where_problema.="-- En el Huerto: ".$row_packing['huerto'].", Cuartel: ".$row_packing['cuartel'].", Cuadrilla: ".$row_packing['cuadrilla']."";
              if($row_packing['foto_nombre']!=''){
                $where_problema.=" https://www.geofrut.inglobochile.cl/Inspeccion/image_huerto/GF/".$row_packing['foto_nombre'].".jpg";
              }
              
              if($row_packing['aviso']==""){
                echo '<td><a class="btn btn-outline-primary" href="https://api.whatsapp.com/send?text='.$where_problema.'" role="button" target="_BLANK">Aviso</a><button type="button" class="btn btn-outline-primary" onclick="avisado(\''.$row_packing['caja_id'].'\')">OK</button></td>';
              }else{
                echo '<td>Avisado</td>';
              }
              
            }else{
              echo '<td></td>';
            }
          
  //lucy 56982489061
  //christopher 56996192766
          if($row_packing['cant_amarras']==0){
            echo '<td><input type="number" class="achicar" id="cant_amarras_'.$caja_id.'" name="cant_amarras_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="cant_amarras_'.$caja_id.'" name="cant_amarras_'.$caja_id.'" value="'.$row_packing['cant_amarras'].'"></td>';
          }
          
          if($row_packing['ubicacion_amarras']==0){
            echo '<td><input type="number" class="achicar" id="ubicacion_amarras_'.$caja_id.'" name="ubicacion_amarras_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="ubicacion_amarras_'.$caja_id.'" name="ubicacion_amarras_'.$caja_id.'" value="'.$row_packing['ubicacion_amarras'].'"></td>';
          }

          if($row_packing['punta_cargador_sin_amarrar']==0){
            echo '<td><input type="number" class="achicar" id="punta_cargador_sin_amarrar_'.$caja_id.'" name="punta_cargador_sin_amarrar_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="punta_cargador_sin_amarrar_'.$caja_id.'" name="punta_cargador_sin_amarrar_'.$caja_id.'" value="'.$row_packing['punta_cargador_sin_amarrar'].'"></td>';
          }

          if($row_packing['cant_cargador_sin_amarrar']==0){
            echo '<td><input type="number" class="achicar" id="cant_cargador_sin_amarrar_'.$caja_id.'" name="cant_cargador_sin_amarrar_'.$caja_id.'" value=""></td>';
          }else{
            echo '<td><input type="number" class="achicar" id="cant_cargador_sin_amarrar_'.$caja_id.'" name="cant_cargador_sin_amarrar_'.$caja_id.'" value="'.$row_packing['cant_cargador_sin_amarrar'].'"></td>';
          }
        }
            
        
        
        
        echo '<td><input type="text" class="achicar" id="observacion_'.$caja_id.'" name="observacion_'.$caja_id.'" value="'.$row_packing['observacion'].'"></td>';
        echo '</tr>';

      }
   }else{

  echo '<form>';
 /* echo '<input type="text" id="zona_id" value="'.$zona_id.'" name="zona_id">';
echo '<input type="text" id="productor_id" value="'.$productor_id.'" name="productor_id">';
echo '<input type="text" id="variedad_id" value="'.$variedad_id.'" name="variedad_id">';
echo '<input type="text" id="fecha" value="'.$fecha.'" name="fecha">';
echo '<input type="text" id="cuartel" value="'.$cuartel.'" name="cuartel">';
echo '<input type="text" id="contratista" value="'.$contratista.'" name="contratista">';*/
   echo' <center>';
    if($zona_id!="" && $productor_id!="" && $variedad_id!="" && $fecha!="" && $cuartel!="" && $contratista!=""){
      echo '<button type="button" class="btn btn-outline-primary" onclick="crear_form()">Nueva Inspeccion +</button>';
    }

    echo'<a class="btn btn-outline-primary" href="web.php?zona_id='.$zona_id.'&productor_id='.$productor_id.'&variedad_id='.$variedad_id.'&fecha='.$fecha.'&cuartel='.$cuartel.'&contratista='.$contratista.'"" role="button" target="_BLANK">Informe</a><button type="button" class="btn btn-outline-primary" onclick="cargar_grafico()">Grafico</button>';

    echo '</center>
    <div id="grafico" style="min-width: 320px; max-width: 600px; margin: 0 auto;"></div>
    <br/><br/><br/><br/>
    <table id="planilla" class="display" style="width:100%; font-size: 14px;">
      <thead>
      <tr>
        <th>ID</th>
        <th>Hora</th>
        <th>Modulo</th>
        <th>Cajas</th>
        <th><div class="vertical">Promedio</div></th>
        <th><div class="vertical">Foto</div></th>
        <th><div class="vertical">Aviso</div></th>
        <th><div class="vertical">Embalaje</div></th>
        <th><div class="vertical">Color</div></th>
        <th><div class="vertical">Calibre</div></th>
        <th><div class="vertical">Peso(1-4)</div></th>
        <th><div class="vertical">Desgrane</div></th>
        <th><div class="vertical">Pudricion</div></th>
        <th><div class="vertical">Observacion</div></th>
      </tr>
      </thead>
      <tbody>';


            
      $rs_packing = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 AND usuario_crea='$rut' $where ORDER BY caja_id DESC");
      
      while($row_packing = mysql_fetch_array($rs_packing)){
        $caja_id=$row_packing['caja_id'];
        echo '<tr style="text-align:center;">';
        echo '<td><input type="text" class="achicar" id="caja_id" name="caja_id" value="'.$row_packing['caja_id'].'" disabled><button type="button" class="btn btn-outline-primary" onclick="editar_caja_huerto(\''.$row_packing['caja_id'].'\')">Guardar+</button><button type="button" class="btn btn-outline-primary" onclick="eliminar_caja_huerto(\''.$row_packing['caja_id'].'\')">-</button></td>';
        echo '<td><input type="time" id="hora_'.$caja_id.'" name="hora_'.$caja_id.'" value="'.$row_packing['hora'].'"></td>';

        if($row_packing['modulo']==0){
          echo '<td><input type="number" class="achicar" id="modulo_'.$caja_id.'" name="modulo_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="number" class="achicar" id="modulo_'.$caja_id.'" name="modulo_'.$caja_id.'" value="'.$row_packing['modulo'].'"></td>';
        }

        if($row_packing['cant_cajas']==0){
          echo '<td><input type="number" class="achicar" id="cant_cajas_'.$caja_id.'" name="cant_cajas_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="number" class="achicar" id="cant_cajas_'.$caja_id.'" name="cant_cajas_'.$caja_id.'" value="'.$row_packing['cant_cajas'].'"></td>';
        }
        
        if($row_packing['prom']>=1 && $row_packing['prom']<2){
                echo '<td style="background-color:#40FF00">'.round($row_packing['prom'],1).'</td>';
            }else if($row_packing['prom']>=2 && $row_packing['prom']<3){
                echo '<td style="background-color:#FFFF00">'.round($row_packing['prom'],1).'</td>';
            }else if($row_packing['prom']>=3 && $row_packing['prom']<4){
                echo '<td style="background-color:orange">'.round($row_packing['prom'],1).'</td>';
            }else if($row_packing['prom']>=4 && $row_packing['prom']<5){
                echo '<td style="background-color:#FF0000">'.round($row_packing['prom'],1).'</td>';
            }else{
                echo '<td></td>';
            }
        $link="../image_huerto/".$cliente."/".$row_packing['foto_nombre'];
        if($row_packing['foto_nombre']==""){
          echo '<td><button type="button" class="btn btn-primary" onclick="abrir_foto(\''.$row_packing['caja_id'].'\')">Foto</button></td>';
        }else{
          echo "<td><a class='ejemplo_1' onclick='fotos();' href='".$link.".jpg' title='".$row_packing['foto_nombre']."</br>".$row_packing['defecto_foto']."'><img src='".$link.".jpg' height='30' width='30' /></a></td>";
        }
        
            $rs_packing2 = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE caja_id='".$caja_id."' AND (embalaje='4' or color='4' or calibre='4' or peso='4' or desgrane='4' or pudricion='4')");
          $where_problema="Informo a Ud. que a las ".$row_packing['hora']." se encontró problemas de ";
          if($row_packing2 = mysql_fetch_array($rs_packing2)){
            if($row_packing2['embalaje']=='4'){
              $where_problema.="Embalaje, ";
            }
            if($row_packing2['color']=='4'){
              $where_problema.="Color, ";
            }
            if($row_packing2['calibre']=='4'){
              $where_problema.="Calibre, ";
            }
            if($row_packing2['peso']=='4'){
              $where_problema.="Peso, ";
            }
            if($row_packing2['desgrane']=='4'){
              $where_problema.="Desgrane, ";
            }
            if($row_packing2['pudricion']=='4'){
              $where_problema.="Pudricion, ";
            }
            $where_problema.="En el Módulo ".$row_packing['modulo']."";
            if($row_packing['aviso']==""){
              echo '<td><a class="btn btn-outline-primary" href="https://api.whatsapp.com/send?phone='.$numero.'&text='.$where_problema.'" role="button" target="_BLANK">Aviso</a><button type="button" class="btn btn-outline-primary" onclick="avisado(\''.$row_packing['caja_id'].'\')">OK</button></td>';
            }else{
              echo '<td>Avisado</td>';
            }
            
          }else{
            echo '<td></td>';
          }
        
//lucy 56982489061
//christopher 56996192766
        if($row_packing['embalaje']==0){
          echo '<td><input type="number" class="achicar" id="embalaje_'.$caja_id.'" name="embalaje_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="number" class="achicar" id="embalaje_'.$caja_id.'" name="embalaje_'.$caja_id.'" value="'.$row_packing['embalaje'].'"></td>';
        }
        
        if($row_packing['color']==0){
          echo '<td><input type="number" class="achicar" id="color_'.$caja_id.'" name="color_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="number" class="achicar" id="color_'.$caja_id.'" name="color_'.$caja_id.'" value="'.$row_packing['color'].'"></td>';
        }

        if($row_packing['calibre']==0){
          echo '<td><input type="number" class="achicar" id="calibre_'.$caja_id.'" name="calibre_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="number" class="achicar" id="calibre_'.$caja_id.'" name="calibre_'.$caja_id.'" value="'.$row_packing['calibre'].'"></td>';
        }

        if($row_packing['peso']==0){
          echo '<td><input type="number" class="achicar" id="peso_'.$caja_id.'" name="peso_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="number" class="achicar" id="peso_'.$caja_id.'" name="peso_'.$caja_id.'" value="'.$row_packing['peso'].'"></td>';
        }

        if($row_packing['desgrane']==0){
          echo '<td><input type="number" class="achicar" id="desgrane_'.$caja_id.'" name="desgrane_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="number" class="achicar" id="desgrane_'.$caja_id.'" name="desgrane_'.$caja_id.'" value="'.$row_packing['desgrane'].'"></td>';
        }
        
        if($row_packing['pudricion']==0){
          echo '<td><input type="number" class="achicar" id="pudricion_'.$caja_id.'" name="pudricion_'.$caja_id.'" value=""></td>';
        }else{
          echo '<td><input type="number" class="achicar" id="pudricion_'.$caja_id.'" name="pudricion_'.$caja_id.'" value="'.$row_packing['pudricion'].'"></td>';
        }
        
        
        
        echo '<td><input type="text" class="achicar" id="observacion_'.$caja_id.'" name="observacion_'.$caja_id.'" value="'.$row_packing['observacion'].'"></td>';
        echo '</tr>';

      }

    }
      
  ?>

  </tbody>
    </table>
  </form>

      <!-- Modal  CERRAR-->
<div class="modal fade" id="modalForm" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true" width="100%">
  <div class="modal-dialog modal-full" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">Crear</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
       <?php
            echo '<form id="fmfoto1" enctype="multipart/form-data">';
            echo '<div class="col-sm">
            <input type="hidden" id="caja_id_foto" name="caja_id_foto">
               Foto 1 <input class="form-control" id="foto1" name="foto1" type="file" accept="image/*" capture="camera">';
               echo '</div>';
            echo '<div class="col-sm">
            
               Defecto Foto';
               if($cliente=="GF"){
                if($labor=="PODA"){
                  echo '<select class="form-control" id="defecto_foto1" name="defecto_foto1">';
                  echo '<option value="Estructura">Estructura</option>';
                  echo '<option value="Q Cargadores">Q Cargadores</option>';
                  echo '<option value="Q Pitones">Q Pitones</option>';
                  echo '<option value="Yemas Por Cargador">Yemas Por Cargador</option>';
                  echo '<option value="Yemas Por Piton">Yemas Por Piton</option>';
                  echo '<option value="Limpieza">Limpieza</option>';
                }else{
                  echo '<select class="form-control" id="defecto_foto1" name="defecto_foto1">';
                  echo '<option value="Cantidad de Amarras">Cantidad de Amarras</option>';
                  echo '<option value="Ubicacion Amarras">Ubicacion Amarras</option>';
                  echo '<option value="Punta Cargador Sin Amarrar">Punta Cargador Sin Amarrar</option>';
                  echo '<option value="Cantidad Cargadores Sin Amarrar">Cantidad Cargadores Sin Amarrar</option>';
                }
                
                  
               }else{
                echo '<select class="form-control" id="defecto_foto1" name="defecto_foto1">';
                  echo '<option value="Apariencia">Apariencia</option>';
                  echo '<option value="Embalaje">Embalaje</option>';
                  echo '<option value="Color">Color</option>';
                  echo '<option value="Calibre">Calibre</option>';
                  echo '<option value="Peso">Peso</option>';
                  echo '<option value="Desgrane">Desgrane</option>';
                  echo '<option value="Pudricion">Pudricion</option>';
               }
               
                
              echo '</select>';
               echo '</div>';
               echo '<div class="col-sm">';
               echo '<a class="btn btn-primary" href="#" role="button" onclick="subirfoto1(\''.$cliente.'\');">Guardar Foto</a>';
               echo '</div>';

               echo '</form>';
               echo '<div class="col-sm">
                <div id="messages_foto1"></div>
                <div id="showImage_foto1"></div>';
               echo '</div>';
              ?>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" onclick="cerrar();">Close</button>
      </div>
    </div>
  </div>
</div>

      

<script type="text/javascript">
        var events;
        var table;
        var rowData;
        var arreglo="";


      $(document).ready( function () {
          //$('#planilla').DataTable();
          //events = $('#events');
         var table = $('#planilla').DataTable( {
              select: true,
              "sDom": '<"top"i>rt<"bottom"flp><"clear">',
              "bInfo": false,
              
          } );

          new $.fn.dataTable.FixedColumns( table );


          $("#messages_foto1").hide();
    //queremos que esta variable sea global
    var fileExtension = "";
    //función que observa los cambios del campo file y obtiene información
    $('#foto1').change(function()
    {
        //obtenemos un array con los datos del archivo
        var file = $("#foto1")[0].files[0];
        //obtenemos el nombre del archivo
        var fileName = file.name;
        //obtenemos la extensión del archivo
        fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
        //obtenemos el tamaño del archivo
        var fileSize = file.size;
        //obtenemos el tipo de archivo image/png ejemplo
        var fileType = file.type;
        //mensaje con la información del archivo
        showMessage1("<span class='info'>Archivo para subir: "+fileName+", peso total: "+fileSize+" bytes.</span>");
    });
       
      } );

      function subirfoto1(cliente){
        var caja_id=$('#caja_id_foto').val();
        //alert(caja_id);
        var formData = new FormData($("#fmfoto1")[0]);
        var message = ""; 
        //hacemos la petición ajax  
        $.ajax({
            url: 'guardar_foto.php?caja_id='+caja_id,  
            type: 'POST',
            // Form data
            //datos del formulario
            data: formData,
            //necesario para subir archivos via ajax
            cache: false,
            contentType: false,
            processData: false,
            //mientras enviamos el archivo
            beforeSend: function(){
                message = $("<span class='before'>Subiendo la imagen, por favor espere...</span>");
                showMessage1(message)        
            },
            //una vez finalizado correctamente
            success: function(data){
                message = $("<span class='success'>La imagen ha subido correctamente.</span>");
                showMessage1(message);
                
                    $("#showImage_foto1").html("<img width='60px' src='../image_huerto/"+cliente+"/"+data+"' />");
                
            },
            //si ha ocurrido un error
            error: function(){
                message = $("<span class='error'>Ha ocurrido un error.</span>");
                showMessage1(message);
            }
        });

  }

  function showMessage1(message){
    $("#messages_foto1").html("").show();
    $("#messages_foto1").html(message);
}

//comprobamos si el archivo a subir es una imagen
//para visualizarla una vez haya subido
function isImage(extension)
{
    switch(extension.toLowerCase()) 
    {
        case 'jpg': case 'gif': case 'png': case 'jpeg':
            return true;
        break;
        default:
            return false;
        break;
    }
}

function abrir_foto(caja_id){
      $('#caja_id_foto').val(caja_id);
      $('#modalForm').modal();
    }

function fotos(){
      $('.ejemplo_1').fancybox({ }); 
    }

function crear_form(){
        var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var labor=$('#labor').val();
        //alert(labor);
        $.ajax({
            type: 'POST',
            url: 'guardar.php',
            data: {"zona_id": zona_id, "productor_id": productor_id, "variedad_id": variedad_id, "fecha": fecha, "cuartel": cuartel, "contratista": contratista, "cuadrilla": cuadrilla, "huerto": huerto, "labor": labor},
            dataType: 'json',
            cache: false,
            success: function(result) {
                //var result = eval('('+result+')');
                //alert(result.perfil);
                        if (result.success){  
                          //alert("guardar inspeccion");
                          window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"&labor="+labor+"";
                        } else {
                            
                            alert("FALTA FILTRAR INFORMACION");
                        }
               
            },
        });
        
      }

      function cerrar(){
        var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"";
      }

function editar_caja_huerto(caja_id){
  var hora=$('#hora_'+caja_id).val();
  var modulo=$('#modulo_'+caja_id).val();
  var cant_cajas=$('#cant_cajas_'+caja_id).val();
  var embalaje=$('#embalaje_'+caja_id).val();
  var color=$('#color_'+caja_id).val();
  var calibre=$('#calibre_'+caja_id).val();
  var peso=$('#peso_'+caja_id).val();
  var desgrane=$('#desgrane_'+caja_id).val();
  var pudricion=$('#pudricion_'+caja_id).val();
  var observacion=$('#observacion_'+caja_id).val();


    var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();

  $.ajax({
            type: 'POST',
            url: 'editar.php',
            data: {"hora": hora, "modulo": modulo, "cant_cajas": cant_cajas, "embalaje": embalaje, "color": color, "calibre": calibre, "peso": peso, "desgrane": desgrane, "pudricion": pudricion, "observacion": observacion, "caja_id": caja_id},
            dataType: 'json',
            cache: false,
            success: function(result) {
                //var result = eval('('+result+')');
                //alert(result.perfil);
                        if (result.success){ 
                          alert("editar inspeccion");
                          window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"";
                        } else {
                            
                            alert("FALTA FILTRAR INFORMACION");
                        }
               
            },
        });
 
}

function editar_caja_huerto2(caja_id){
  var hora=$('#hora_'+caja_id).val();
  var cuartel3=$('#cuartel_'+caja_id).val();
  var cuadrilla3=$('#cuadrilla_'+caja_id).val();
  var estructura_orden=$('#estructura_orden_'+caja_id).val();
  var cant_cargadores=$('#cant_cargadores_'+caja_id).val();
  var cant_pitones=$('#cant_pitones_'+caja_id).val();
  var yemas_cargador=$('#yemas_cargador_'+caja_id).val();
  var yemas_piton=$('#yemas_piton_'+caja_id).val();
  var limpieza_poda=$('#limpieza_poda_'+caja_id).val();
  var observacion=$('#observacion_'+caja_id).val();
//alert(estructura_orden);

        var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var labor=$('#labor').val();
  $.ajax({
            type: 'POST',
            url: 'editar2.php',
            data: {"hora": hora, "cuartel3": cuartel3, "cuadrilla3": cuadrilla3, "estructura_orden": estructura_orden, "cant_cargadores": cant_cargadores, "cant_pitones": cant_pitones, "yemas_cargador": yemas_cargador, "yemas_piton": yemas_piton, "limpieza_poda": limpieza_poda, "observacion": observacion, "caja_id": caja_id},
            dataType: 'json',
            cache: false,
            success: function(result) {
                //var result = eval('('+result+')');
                //alert(result.perfil);
                        if (result.success){ 
                          //alert("editar inspeccion2");
                          window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"&labor="+labor+"";
                        } else {
                            
                            alert("FALTA FILTRAR INFORMACION");
                        }
               
            },
        });
 
}

function editar_caja_huerto3(caja_id){
  var hora=$('#hora_'+caja_id).val();
  var cuartel3=$('#cuartel_'+caja_id).val();
  var cuadrilla3=$('#cuadrilla_'+caja_id).val();
  var cant_amarras=$('#cant_amarras_'+caja_id).val();
  var ubicacion_amarras=$('#ubicacion_amarras_'+caja_id).val();
  var punta_cargador_sin_amarrar=$('#punta_cargador_sin_amarrar_'+caja_id).val();
  var cant_cargador_sin_amarrar=$('#cant_cargador_sin_amarrar_'+caja_id).val();
  var observacion=$('#observacion_'+caja_id).val();
  //alert(cuartel3);


        var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var labor=$('#labor').val();
  $.ajax({
            type: 'POST',
            url: 'editar3.php',
            data: {"hora": hora, "cuartel3": cuartel3, "cuadrilla3": cuadrilla3, "cant_amarras": cant_amarras, "ubicacion_amarras": ubicacion_amarras, "punta_cargador_sin_amarrar": punta_cargador_sin_amarrar, "cant_cargador_sin_amarrar": cant_cargador_sin_amarrar, "observacion": observacion, "caja_id": caja_id},
            dataType: 'json',
            cache: false,
            success: function(result) {
                //var result = eval('('+result+')');
                //alert(result.perfil);
                        if (result.success){ 
                         // alert("editar inspeccion");
                          window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"&labor="+labor+"";
                        } else {
                            
                            alert("FALTA FILTRAR INFORMACION");
                        }
               
            },
        });
 
}

function eliminar_caja_huerto(caja_id){
    var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var labor=$('#labor').val();
        if (confirm("Desea Borrar la planilla "+caja_id+"?")){
          $.ajax({
              type: 'POST',
              url: 'eliminar.php',
              data: {"caja_id": caja_id},
              dataType: 'json',
              cache: false,
              success: function(result) {
                  //var result = eval('('+result+')');
                  //alert(result.perfil);
                          if (result.success){ 
                            window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"&labor="+labor+"";
                          } else {
                              
                              alert("FALTA FILTRAR INFORMACION");
                          }
                 
              },
          });
        }else{
          alert("Seleccione un Registro");
            window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"&labor="+labor+"";
        }
 
}

function avisado(caja_id){
  var zona_id=$('#zona_id').val();
        var productor_id=$('#productor_id').val();
        var variedad_id=$('#variedad_id').val();
        var fecha=$('#fecha').val();
        var cuartel=$('#cuartel').val();
        var contratista=$('#contratista').val();
        var cuadrilla=$('#cuadrilla').val();
        var huerto=$('#huerto').val();
        var labor=$('#labor').val();
  if (confirm("Se Avisó Correctamente de este problema de código: "+caja_id+"?")){
          $.ajax({
              type: 'POST',
              url: 'aviso.php',
              data: {"caja_id": caja_id},
              dataType: 'json',
              cache: false,
              success: function(result) {
                  //var result = eval('('+result+')');
                  //alert(result.perfil);
                          if (result.success){ 
                            window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"&labor="+labor+"";
                          } else {
                              
                              alert("ERROR");
                          }
                 
              },
          });
        }else{
          
            window.location.href = "index.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+huerto+"&labor="+labor+"";
        }
}

function cargar_grafico(){
  $('#grafico').toggle();
  var chart = Highcharts.chart('grafico', {

          title: {
              text: 'Evaluación Por Módulo'
          },
          yAxis: {title: {
                    text: 'Notas'
                }, min: 0, max: 4},

          subtitle: {
              text: 'Uva'
          }, 
             colors: [ 
              <?php 
                
                $rshora = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where ORDER BY caja_id DESC");
                while($rowhora = mysql_fetch_array($rshora)){
                    $hora_reg1=$rowhora['prom'];
                    if($hora_reg1>=1 && $hora_reg1<2){
                        
                            $hora_reg1="#40FF00";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else if($hora_reg1>=2 && $hora_reg1<3){
                        $hora_reg1="#FFFF00";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else if($hora_reg1>=3 && $hora_reg1<4){
                        $hora_reg1="orange";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else if($hora_reg1>=4 && $hora_reg1<5){
                        $hora_reg1="#FF0000";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else{
                        $hora_reg1="black";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }
                
                }
            ?> 
              ],

          xAxis: {title: {
                    text: 'Módulos'
                },
              categories: [<?php 
                
                $rshora = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where ORDER BY caja_id DESC");
                while($rowhora = mysql_fetch_array($rshora)){
                    $hora_reg1=$rowhora['modulo'];
                ?>
                    '<?php echo $hora_reg1; ?>',
                <?php
                }
            ?>]
          },

          series: [{
            name:'Prom',
              type: 'column',
              colorByPoint: true,
              data: [
              <?php 
                $rsvalor = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where ORDER BY caja_id DESC");
                while($rowvalor = mysql_fetch_array($rsvalor)){
                ?>
                    <?php echo round($rowvalor["prom"],1); ?>,
                <?php
                }
            ?>
            ],
              showInLegend: false
          }]

      });
}

function cargar_grafico2(){
  $('#grafico2').toggle();
  var chart = Highcharts.chart('grafico2', {

          title: {
              text: 'Evaluación Por Cuartel'
          },
          yAxis: {title: {
                    text: 'Notas'
                }, min: 0, max: 3},

          subtitle: {
              text: 'Uva'
          }, 
             colors: [ 
              <?php 
                
                $rshora = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where ORDER BY caja_id DESC");
                while($rowhora = mysql_fetch_array($rshora)){
                    $hora_reg1=$rowhora['prom'];
                    if($hora_reg1>=1 && $hora_reg1<2){
                        
                            $hora_reg1="#40FF00";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else if($hora_reg1>=2 && $hora_reg1<3){
                        $hora_reg1="#FFFF00";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else if($hora_reg1>=3 && $hora_reg1<4){
                        $hora_reg1="#FF0000";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }else{
                        $hora_reg1="black";
                        ?>
                            '<?php echo $hora_reg1; ?>',
                        <?php
                    }
                
                }
            ?> 
              ],

          xAxis: {title: {
                    text: 'Cuartel'
                },
              categories: [<?php 
                
                $rshora = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where ORDER BY caja_id DESC");
                while($rowhora = mysql_fetch_array($rshora)){
                    $hora_reg1=$rowhora['cuartel'];
                ?>
                    '<?php echo $hora_reg1; ?>',
                <?php
                }
            ?>]
          },

          series: [{
            name:'Prom',
              type: 'column',
              colorByPoint: true,
              data: [
              <?php 
                $rsvalor = mysql_query("SELECT * FROM cal_caja_pla_huerto WHERE 1=1 $where ORDER BY caja_id DESC");
                while($rowvalor = mysql_fetch_array($rsvalor)){
                ?>
                    <?php echo round($rowvalor["prom"],1); ?>,
                <?php
                }
            ?>
            ],
              showInLegend: false
          }]

      });
}

function Enviar_Aviso(mensaje){
  //alert(mensaje);
}



</script>


</body>
</html>